| Mini51 BSP V3.02.002 The Board Support Package for Mini51 Series

Data Fields
INT_T Struct Reference

`#include <Mini51Series.h>`

## Data Fields
__I uint32_t | SRC0
__I uint32_t | SRC1
__I uint32_t | SRC2
__I uint32_t | SRC3
__I uint32_t | SRC4
__I uint32_t | SRC5
__I uint32_t | SRC6
__I uint32_t | SRC7
__I uint32_t | SRC8
__I uint32_t | SRC9
__I uint32_t | SRC12
__I uint32_t | SRC14
__I uint32_t | SRC16
__I uint32_t | SRC17
__I uint32_t | SRC18
__I uint32_t | SRC25
__I uint32_t | SRC28
__I uint32_t | SRC29
__IO uint32_t | NMICON
__IO uint32_t | MCUIRQ

## Detailed Description

    @addtogroup INT Interrupt Controller (INT)
    Memory Mapped Structure for INT Controller

Definition at line 4336 of file Mini51Series.h.

## Field Documentation

## ◆ MCUIRQ

INT_T::MCUIRQ

MCUIRQ

Offset: 0x84 MCU IRQ Number Identity Register

Bits | Field | Descriptions
[31:0] | MCU_IRQ | MCU IRQ Source The MCU_IRQ collects all the interrupts from the peripherals and generates the synchronous interrupt to Cortex-M0 core. This modes to generate interrupt to Cortex-M0 - the normal mode. The MCU_IRQ collects all interrupts from each peripheral and synchronizes them then interrupts the Cortex-M0. When the MCU_IRQ[n] is 0, setting MCU_IRQ[n] to 1 will generate an interrupt to Cortex-M0 NVIC[n]. When the MCU_IRQ[n] is 1 (mean an interrupt is assert), setting 1 to the MCU_bit[n] will clear the interrupt and setting MCU_IRQ[n] 0 has no effect.

Definition at line 4760 of file Mini51Series.h.

## ◆ NMICON

INT_T::NMICON

NMICON

Offset: 0x80 NMI Source Interrupt Select Control Register

Bits | Field | Descriptions
[4:0] | NMI_SEL | NMI Interrupt Source Selection The NMI interrupt to Cortex-M0 can be selected from one of the peripheral interrupt by setting NMI_SEL.
[8] | NMI_SEL_EN | NMI Interrupt Enable Control (Write Protect) 0 = NMI interrupt Disabled. 1 = NMI interrupt Enabled. Note: This bit is the protected bit, and programming it needs to write 0x59, 0x16, and 0x88 to address 0x5000_0100 to disable register protection. Refer to the register REGWRPROT at address GCR_BA+0x100.

Definition at line 4759 of file Mini51Series.h.

## ◆ SRC0

INT_T::SRC0

SRC0

Offset: 0x00 IRQ0 (BOD) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4723 of file Mini51Series.h.

## ◆ SRC1

INT_T::SRC1

SRC1

Offset: 0x04 IRQ1 (WDT) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4724 of file Mini51Series.h.

## ◆ SRC12

INT_T::SRC12

SRC12

Offset: 0x30 IRQ12 (UART) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4736 of file Mini51Series.h.

## ◆ SRC14

INT_T::SRC14

SRC14

Offset: 0x38 IRQ14 (SPI) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4740 of file Mini51Series.h.

## ◆ SRC16

INT_T::SRC16

SRC16

Offset: 0x40 IRQ16 (GP5) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4744 of file Mini51Series.h.

## ◆ SRC17

INT_T::SRC17

SRC17

Offset: 0x44 IRQ17 (HIRC trim) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4745 of file Mini51Series.h.

## ◆ SRC18

INT_T::SRC18

SRC18

Offset: 0x48 IRQ18 (I2C) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4746 of file Mini51Series.h.

## ◆ SRC2

INT_T::SRC2

SRC2

Offset: 0x08 IRQ2 (EINT0) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4725 of file Mini51Series.h.

## ◆ SRC25

INT_T::SRC25

SRC25

Offset: 0x64 IRQ25 (ACMP) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4750 of file Mini51Series.h.

## ◆ SRC28

INT_T::SRC28

SRC28

Offset: 0x70 IRQ28 (PWRWU) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4754 of file Mini51Series.h.

## ◆ SRC29

INT_T::SRC29

SRC29

Offset: 0x74 IRQ29 (ADC) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4755 of file Mini51Series.h.

## ◆ SRC3

INT_T::SRC3

SRC3

Offset: 0x0C IRQ3 (EINT1) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4726 of file Mini51Series.h.

## ◆ SRC4

INT_T::SRC4

SRC4

Offset: 0x10 IRQ4 (GP0/1) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4727 of file Mini51Series.h.

## ◆ SRC5

INT_T::SRC5

SRC5

Offset: 0x14 IRQ5 (GP2/3/4) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4728 of file Mini51Series.h.

## ◆ SRC6

INT_T::SRC6

SRC6

Offset: 0x18 IRQ6 (PWM) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4729 of file Mini51Series.h.

## ◆ SRC7

INT_T::SRC7

SRC7

Offset: 0x1C IRQ7 (BRAKE) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4730 of file Mini51Series.h.

## ◆ SRC8

INT_T::SRC8

SRC8

Offset: 0x20 IRQ8 (TMR0) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4731 of file Mini51Series.h.

## ◆ SRC9

INT_T::SRC9

SRC9

Offset: 0x24 IRQ9 (TMR1) Interrupt Source Identity

Bits | Field | Descriptions
[2:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 4732 of file Mini51Series.h.

The documentation for this struct was generated from the following file:

- Device/Nuvoton/Mini51Series/Include/Mini51Series.h